技能 API
获取技能
获取特定技能的详细信息。
GET
/
api
/
v1
/
skills
/
{id}
获取技能
curl --request GET \
--url https://api.example.com/api/v1/skills/{id}import requests
url = "https://api.example.com/api/v1/skills/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body根据 ID 获取某个技能的完整详细信息,包括其清单(manifest)、安装次数以及审核状态。
身份验证
需要 Bearer 令牌。请参阅 Authentication。路径参数
string
必填
该技能的 UUID。
Request Example
curl https://www.hitheo.ai/api/v1/skills/skill_abc123 \
-H "Authorization: Bearer $THEO_API_KEY"
响应
返回完整的技能对象,包括id、name、slug、description、category、version、systemPromptExt、toolDefinitions、declaredPermissions、installCount、reviewStatus、authorUserId、readme、license、keywords、createdAt 以及 updatedAt。
Endpoint
GET /api/v1/skills/{id}
需要通过 Bearer 令牌进行身份验证。请参阅 Authentication。此页面对您有帮助吗?
获取技能
curl --request GET \
--url https://api.example.com/api/v1/skills/{id}import requests
url = "https://api.example.com/api/v1/skills/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body